Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.cwru.SimpleRTS.agent
Class SimpleAgent1

    java.lang.Object
      edu.cwru.SimpleRTS.agent.Agent
          edu.cwru.SimpleRTS.agent.SimpleAgent1

All Implemented Interfaces:
  java.io.Serializable

    public class SimpleAgent1

extends Agent

A simple agent that makes all its units move in random directions if they are not attacking. Will attack any enemy within sight range.

Author:
  Tim
See Also:
  Serialized Form

Constructor Summary
`SimpleAgent1(int playernum)`

Method Summary
`static java.lang.String` | `getUsage()`
`com.google.common.collect.ImmutableMap.Builder<java.lang.Integer,Action>` | `initialStep(State.StateView newstate)` Accept the initial state of an episode
`com.google.common.collect.ImmutableMap.Builder<java.lang.Integer,Action>` | `middleStep(State.StateView newState)` Accept an intermediate state of an episode
`void` | `terminalStep(State.StateView newstate)` Receive notification that the episode has terminated.

Methods inherited from class edu.cwru.SimpleRTS.agent.Agent
`acceptInitialState, acceptMiddleState, acceptTerminalState, equals, getAction, getCountsTowardTermination, getPlayerNumber, hashCode, maxId, reserveIDsUpTo, setVerbose`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleAgent1

    public SimpleAgent1(int playernum)

Method Detail

### initialStep

    public com.google.common.collect.ImmutableMap.Builder<java.lang.Integer,Action> initialStep(State.StateView newstate)

  Description copied from class: `Agent`
  Accept the initial state of an episode

  Specified by:
    `initialStep` in class `Agent`
  Parameters:
    `newstate` - The new state of the system

### middleStep

    public com.google.common.collect.ImmutableMap.Builder<java.lang.Integer,Action> middleStep(State.StateView newState)

  Description copied from class: `Agent`
  Accept an intermediate state of an episode

  Specified by:
    `middleStep` in class `Agent`
  Parameters:
    `newState` - The new state of the system

### terminalStep

    public void terminalStep(State.StateView newstate)

  Description copied from class: `Agent`
  Receive notification that the episode has terminated.

  Specified by:
    `terminalStep` in class `Agent`
  Parameters:
    `newstate` - The final state of the system

### getUsage

    public static java.lang.String getUsage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD